## ros-eloquent-camera-info-manager 2.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(camera_info_manager)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_ros REQUIRED)

find_package(ament_index_cpp REQUIRED)
find_package(rclcpp REQUIRED)
find_package(camera_calibration_parsers REQUIRED)
find_package(image_transport REQUIRED)
find_package(sensor_msgs REQUIRED)

include_directories(include)

# add a library
add_library(${PROJECT_NAME} src/camera_info_manager.cpp)

ament_target_dependencies(
  ${PROJECT_NAME}
  ament_index_cpp
  rclcpp
  camera_calibration_parsers
  image_transport
  sensor_msgs
)

install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(
  DIRECTORY include/
  DESTINATION include
)

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

if(BUILD_TESTING)
  #TODO(mjcarroll) switch back to this once I can fix copyright check
  #find_package(ament_lint_auto REQUIRED)
  #ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  #TODO(mjcarroll) Headers need to be .hpp for this to work properly.
  #ament_cppcheck()
  ament_cpplint()
  ament_lint_cmake()
  ament_uncrustify()

  #TODO(mjcarroll) Enable unit test with rostest
  #add_executable(unit_test tests/unit_test.cpp)
  #target_link_libraries(unit_test ${PROJECT_NAME})
  #add_rostest(tests/unit_test.test DEPENDENCIES unit_test)
endif()

ament_package()

=== debian/changelog ===
ros-eloquent-camera-info-manager (2.2.1-1bionic) bionic; urgency=high

  * Fix abort criteria for setCameraInfoService callback (#132 <https://github.com/ros-perception/image_common/issues/132>)
  * Contributors: Joseph Schornak

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-camera-info-manager (2.2.0-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Sep 2019 05:00:00 -0000

ros-eloquent-camera-info-manager (2.1.1-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 May 2019 05:00:00 -0000

ros-eloquent-camera-info-manager (2.1.0-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 09 May 2019 05:00:00 -0000

ros-eloquent-camera-info-manager (2.0.0-1bionic) bionic; urgency=high

  * camera_info_manager ROS2 port (#94 <https://github.com/ros-perception/image_common/issues/94>)
  * Image Transport ROS2 port (#84 <https://github.com/ros-perception/image_common/issues/84>)
  * Contributors: Michael Carroll

 -- Michael Carroll <michael@openrobotics.org>  Wed, 05 Dec 2018 06:00:00 -0000

ros-eloquent-camera-info-manager (1.11.13-1bionic) bionic; urgency=high

  * Fix the find_package(catkin) redundancy
  * Add a dependency between the test and the test executable
  * Add camera_calibration_parsers dependency to camera_info_manager
  * Contributors: Max Schettler, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 05 Nov 2017 05:00:00 -0000

ros-eloquent-camera-info-manager (1.11.12-1bionic) bionic; urgency=high

  * 1.11.11
  * update changelogs
  * Return empty CameraInfo when !ros::ok()
  * Contributors: Enrique Fernandez, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 29 Jan 2017 06:00:00 -0000

ros-eloquent-camera-info-manager (1.11.11-1bionic) bionic; urgency=high

  * Return empty CameraInfo when !ros::ok()
  * Contributors: Enrique Fernandez

 -- Michael Carroll <michael@openrobotics.org>  Sat, 24 Sep 2016 05:00:00 -0000

ros-eloquent-camera-info-manager (1.11.10-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 19 Jan 2016 06:00:00 -0000

ros-eloquent-camera-info-manager (1.11.9-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 17 Jan 2016 06:00:00 -0000

ros-eloquent-camera-info-manager (1.11.8-1bionic) bionic; urgency=high

  * fix compilation on Fedora, fixes #42 <https://github.com/ros-perception/image_common/issues/42>
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 29 Nov 2015 06:00:00 -0000

ros-eloquent-camera-info-manager (1.11.7-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 28 Jul 2015 05:00:00 -0000

ros-eloquent-camera-info-manager (1.11.6-1bionic) bionic; urgency=high

  * simplify target_link_libraries
    That should fix #35 <https://github.com/ros-perception/image_common/issues/35>
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Thu, 16 Jul 2015 05:00:00 -0000

ros-eloquent-camera-info-manager (1.11.5-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 14 May 2015 05:00:00 -0000

ros-eloquent-camera-info-manager (1.11.4-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 21 Sep 2014 05:00:00 -0000

ros-eloquent-camera-info-manager (1.11.3-1bionic) bionic; urgency=high

  * Add public member function to manually set camera info (#19 <https://github.com/ros-perception/image_common/issues/19>)
  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * Contributors: Jack O'Quin, Jonathan Bohren, Lukas Bulwahn

 -- Michael Carroll <michael@openrobotics.org>  Mon, 19 May 2014 05:00:00 -0000

ros-eloquent-camera-info-manager (1.11.2-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 13 Feb 2014 06:00:00 -0000

ros-eloquent-camera-info-manager (1.11.1-1bionic) bionic; urgency=high

  * check for CATKIN_ENABLE_TESTING
  * Contributors: Lukas Bulwahn

 -- Michael Carroll <michael@openrobotics.org>  Sun, 26 Jan 2014 08:33:00 -0000

ros-eloquent-camera-info-manager (1.11.0-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 20 Jul 2013 17:23:00 -0000

ros-eloquent-camera-info-manager (1.10.5-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 26 Jan 2014 08:34:00 -0000

ros-eloquent-camera-info-manager (1.10.4-1bionic) bionic; urgency=high

  * add Jack as maintainer
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sat, 20 Jul 2013 16:42:00 -0000

ros-eloquent-camera-info-manager (1.10.3-1bionic) bionic; urgency=high

  * add gtest libraries linkage
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Thu, 21 Feb 2013 11:33:00 -0000

ros-eloquent-camera-info-manager (1.10.2-1bionic) bionic; urgency=high

  * fix the rostest dependency
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Thu, 21 Feb 2013 10:48:00 -0000

ros-eloquent-camera-info-manager (1.10.1-1bionic) bionic; urgency=high

  * fix catkin gtest and rostest problem
  * fix unit test dependencies
  * Removed duplicated test dependancy
    Test dependencies should never duplicate build or run dependencies.
  * Contributors: Aaron Blasdel, Jack O'Quin

 -- Michael Carroll <michael@openrobotics.org>  Thu, 21 Feb 2013 10:16:00 -0000

ros-eloquent-camera-info-manager (1.10.0-1bionic) bionic; urgency=high

  * fix the urls
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Sun, 13 Jan 2013 06:00:00 -0000

ros-eloquent-camera-info-manager (1.9.22-1bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 16 Dec 2012 06:00:00 -0000



=== debian/control ===
Source: ros-eloquent-camera-info-manager
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-cmake-ros, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-camera-calibration-parsers, ros-eloquent-image-transport, ros-eloquent-rclcpp, ros-eloquent-sensor-msgs, ros-eloquent-ros-workspace
Homepage: http://ros.org/wiki/camera_info_manager
Standards-Version: 3.9.2

Package: ros-eloquent-camera-info-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-camera-calibration-parsers, ros-eloquent-image-transport, ros-eloquent-rclcpp, ros-eloquent-sensor-msgs, ros-eloquent-ros-workspace
Description: This package provides a C++ interface for camera calibration information.
 It provides CameraInfo, and handles SetCameraInfo service requests, saving and restoring the camera calibration data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-camera-info-manager//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
